package com.tanpu.fund.mapper.generator;

import com.tanpu.fund.entity.generator.FundManagerMapping;
import com.tanpu.fund.entity.generator.FundManagerMappingExample;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface FundManagerMappingMapper {
    long countByExample(FundManagerMappingExample example);

    int deleteByExample(FundManagerMappingExample example);

    /**
     * delete by primary key
     *
     * @param id primaryKey
     * @return deleteCount
     */
    int deleteByPrimaryKey(String id);

    /**
     * insert record to table
     *
     * @param record the record
     * @return insert count
     */
    int insert(FundManagerMapping record);

    int insertOrUpdate(FundManagerMapping record);

    int insertOrUpdateSelective(FundManagerMapping record);

    /**
     * insert record to table selective
     *
     * @param record the record
     * @return insert count
     */
    int insertSelective(FundManagerMapping record);

    List<FundManagerMapping> selectByExample(FundManagerMappingExample example);

    /**
     * select by primary key
     *
     * @param id primary key
     * @return object by primary key
     */
    FundManagerMapping selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") FundManagerMapping record, @Param("example") FundManagerMappingExample example);

    int updateByExample(@Param("record") FundManagerMapping record, @Param("example") FundManagerMappingExample example);

    /**
     * update record selective
     *
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKeySelective(FundManagerMapping record);

    /**
     * update record
     *
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKey(FundManagerMapping record);

    int updateBatch(List<FundManagerMapping> list);

    int batchInsert(@Param("list") List<FundManagerMapping> list);
}