package com.tanpu.fund.mapper.generator;

import com.tanpu.fund.entity.generator.PersonnelInfo;
import com.tanpu.fund.entity.generator.PersonnelInfoExample;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface PersonnelInfoMapper {
    long countByExample(PersonnelInfoExample example);

    int deleteByExample(PersonnelInfoExample example);

    /**
     * delete by primary key
     *
     * @param id primaryKey
     * @return deleteCount
     */
    int deleteByPrimaryKey(String id);

    /**
     * insert record to table
     *
     * @param record the record
     * @return insert count
     */
    int insert(PersonnelInfo record);

    int insertOrUpdate(PersonnelInfo record);

    int insertOrUpdateSelective(PersonnelInfo record);

    int insertOrUpdateWithBLOBs(PersonnelInfo record);

    /**
     * insert record to table selective
     *
     * @param record the record
     * @return insert count
     */
    int insertSelective(PersonnelInfo record);

    List<PersonnelInfo> selectByExampleWithBLOBs(PersonnelInfoExample example);

    List<PersonnelInfo> selectByExample(PersonnelInfoExample example);

    /**
     * select by primary key
     *
     * @param id primary key
     * @return object by primary key
     */
    PersonnelInfo selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") PersonnelInfo record, @Param("example") PersonnelInfoExample example);

    int updateByExampleWithBLOBs(@Param("record") PersonnelInfo record, @Param("example") PersonnelInfoExample example);

    int updateByExample(@Param("record") PersonnelInfo record, @Param("example") PersonnelInfoExample example);

    /**
     * update record selective
     *
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKeySelective(PersonnelInfo record);

    int updateByPrimaryKeyWithBLOBs(PersonnelInfo record);

    /**
     * update record
     *
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKey(PersonnelInfo record);

    int updateBatch(List<PersonnelInfo> list);

    int batchInsert(@Param("list") List<PersonnelInfo> list);
}